Bug 445110 - kudzu ddc autoprobe monitor detection fails, affects xorg display
kudzu ddc autoprobe monitor detection fails, affects xorg display
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-03 17:23 EDT by Gabriel M. Elder
Modified: 2009-01-09 02:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:48:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proper ddcprobe functional output (1.06 KB, text/plain)
2008-05-03 17:30 EDT, Gabriel M. Elder
no flags Details
1/5 (23.25 KB, text/plain)
2008-05-05 23:09 EDT, Gabriel M. Elder
no flags Details
2/5 (22.77 KB, text/plain)
2008-05-05 23:16 EDT, Gabriel M. Elder
no flags Details
3/5 (22.87 KB, text/plain)
2008-05-05 23:19 EDT, Gabriel M. Elder
no flags Details
4/5 (22.87 KB, text/plain)
2008-05-05 23:20 EDT, Gabriel M. Elder
no flags Details
5/5 (49.35 KB, text/plain)
2008-05-05 23:21 EDT, Gabriel M. Elder
no flags Details

  None (edit)
Description Gabriel M. Elder 2008-05-03 17:23:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.14) Gecko/20080416 Fedora/2.0.0.14-1.fc8 Firefox/2.0.0.14

Description of problem:
My monitor, a Dell M782 attached to an nvidia NV18, is no longer auto-detected by ddcprobe, the fedora version of which relies on kudzu for its auto-detection. This resulted in my xorg display being drawn at a low resolution and low refresh rate (which I am not fond of).

Version-Release number of selected component (if applicable):
kudzu-1.2.79.2-1

How reproducible:
Always


Steps to Reproduce:
With a Dell M782 monitor connected:
1. In bash, run /usr/sbin/ddcprobe. Note the output:
Monitor autoprobe results
Monitor autoprobe failed.
2. service restart kudzu; less /etc/sysconfig/hwconf . Note the lack of any monitor detection.
3. Configure xorg.conf to use auto-probed monitor results, by removing or commenting out any "Monitor" section references. Restart gdm, and watch the login area take up your entire screen as it falls back to a low video resolution @ 60Hz.

Actual Results:
I never had to intentionally reproduce this problem. It happened spontaneously, and I was able to trace the problem back to ddcprobe, which relies on kudzu. By placing a static Monitor definition for my monitor in my xorg.conf, I was able to work around the unexpected monitor hardware probe failure.

Expected Results:
Kudzu and ddcprobe should have continued to properly auto-detect my monitor, as has been the case until recently, with xorg utilizing that information as it had been.

Additional info:
I suspect a recent update broke something. For the last several months, I've been running my desktop @ 1280x1024x24x75 without a monitor definition in my xorg.conf. When I logged out this morning, the gdm login came back up looking big and all flickery (yes, that's my word, and it is copylefted). As a workaround, I was able to gather some info for my monitor from an older Xorg.log file (where the auto-probe had succeeded), and then create the necessary monitor definition in xorg.conf. My desktop looks better now.

During the course of troubleshooting:
I have confirmed that this is not a hardware failure. I booted a ubuntu livecd, and ran ddcprobe from a shell prompt. The proper information for my video card and monitor were returned, the output of which I shall try to attach. My monitor is not auto-detected in fedora whether I am using the proprietary nvidia driver or the free software nv driver. The ubuntu ddcprobe data was obtained while the free nv driver was loaded there.

I have also checked that there is an entry for my Dell M782 monitor in the hwdata MonitorsDB, and that looks fine.

In the ddcprobe python script, an empty list is returned from the call to kudzu.probe() in line 65. I haven't had time to go any further into the source code than that, but the early indicators seem to be pointing in the direction of kudzu or the python wrapper module.

There appear to be two other bugs, most likely related to this: bug #230566 and bug #247271, but they're categorized (possibly erroneously) as xorg-related. However, they are relatively old, and the problem I'm having just started recently. Jeez... have I missed anything!?
Comment 1 Gabriel M. Elder 2008-05-03 17:30:51 EDT
Created attachment 304467 [details]
proper ddcprobe functional output

This information was gathered and is being reported as described in the initial
bug report post.
Comment 2 Bill Nottingham 2008-05-05 12:01:34 EDT
X doesn't use kudzu for its internal DDC code. Assigning to the X server.
Comment 3 Gabriel M. Elder 2008-05-05 14:40:50 EDT
That may be so, but that doesn't change the fact that kudzu ddc monitor probing
is broken, and, by extension /usr/sbin/ddcprobe, since it's a python wrapper for
that subsystem. This auto-detection should be occurring well before X starts.
Maybe we have two bugs here?
Comment 4 Bill Nottingham 2008-05-05 16:52:22 EDT
It may be broken, but:
- any X auto-monitor configuration is entirely separate
- kudzu is more or less removed from all codepaths in Fedora 9, so it's unlikely
that any changes will be backported there
Comment 5 Adam Jackson 2008-05-05 16:53:16 EDT
We don't use the output of ddcprobe for anything.  And in F9, it no longer even
exists.

The more interesting question is why X didn't figure out the DDC info on its
own.  Can you attach your /var/log/Xorg.0.log please?
Comment 6 Gabriel M. Elder 2008-05-05 23:09:55 EDT
Created attachment 304586 [details]
1/5
Comment 7 Gabriel M. Elder 2008-05-05 23:15:32 EDT
Thanks for helping out with this, guys. I really do appreciate it.

Since I've recently added the static monitor definition to xorg.conf, I'm not
exactly certain as to which Xorg log file would be best to submit to you (and
I'm actually too tired to go look and figure that out right now). But, since all
the log files in the rotation are only ~180K, you can have all 5 of them.
Comment 8 Gabriel M. Elder 2008-05-05 23:16:42 EDT
Created attachment 304587 [details]
2/5
Comment 9 Gabriel M. Elder 2008-05-05 23:19:55 EDT
Created attachment 304588 [details]
3/5
Comment 10 Gabriel M. Elder 2008-05-05 23:20:38 EDT
Created attachment 304589 [details]
4/5
Comment 11 Gabriel M. Elder 2008-05-05 23:21:24 EDT
Created attachment 304590 [details]
5/5
Comment 12 Bug Zapper 2008-11-26 05:38:02 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-01-09 02:48:23 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.